ErrorHandler (Tomcat API Documentation)
Keywords: org.apache.jasper.compiler.ErrorHandler interface

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.jasper.compiler
Interface ErrorHandler

    public interface ErrorHandler

Interface for handling JSP parse and javac compilation errors. An implementation of this interface may be registered with the ErrorDispatcher by setting the XXX initialization parameter in the JSP page compiler and execution servlet in Catalina's web.xml file to the implementation's fully qualified class name.

Author:
  Jan Luehe, Kin-man Chung

Method Summary
`void` | `javacError(JavacErrorDetail[] details)` Processes the given javac compilation errors.
`void` | `javacError(java.lang.String errorReport, java.lang.Exception exception)` Processes the given javac error report and exception.
`void` | `jspError(java.lang.String msg, java.lang.Exception exception)` Processes the given JSP parse error.
`void` | `jspError(java.lang.String fname, int line, int column, java.lang.String msg, java.lang.Exception exception)` Processes the given JSP parse error.

Method Detail

### jspError

    void jspError(java.lang.String fname,
                  int line,
                  int column,
                  java.lang.String msg,
                  java.lang.Exception exception)
                  throws JasperException

  Processes the given JSP parse error.

  Parameters:
    `fname` - Name of the JSP file in which the parse error occurred
    `line` - Parse error line number
    `column` - Parse error column number
    `msg` - Parse error message
    `exception` - Parse exception
  Throws:
    `JasperException`

### jspError

    void jspError(java.lang.String msg,
                  java.lang.Exception exception)
                  throws JasperException

  Processes the given JSP parse error.

  Parameters:
    `msg` - Parse error message
    `exception` - Parse exception
  Throws:
    `JasperException`

### javacError

    void javacError(JavacErrorDetail[] details)
                    throws JasperException

  Processes the given javac compilation errors.

  Parameters:
    `details` - Array of JavacErrorDetail instances corresponding to the compilation errors
  Throws:
    `JasperException`

### javacError

    void javacError(java.lang.String errorReport,
                    java.lang.Exception exception)
                    throws JasperException

  Processes the given javac error report and exception.

  Parameters:
    `errorReport` - Compilation error report
    `exception` - Compilation exception
  Throws:
    `JasperException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.